/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq;


import org.jooq.Sequence;
import org.jooq.impl.SequenceImpl;


/**
 * Convenience access to all sequences in public
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Sequences {

	/**
	 * The sequence <code>public.call_path_id_seq</code>
	 */
	public static final Sequence<Long> CALL_PATH_ID_SEQ = new SequenceImpl<Long>("call_path_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.cdr_id_seq</code>
	 */
	public static final Sequence<Long> CDR_ID_SEQ = new SequenceImpl<Long>("cdr_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.cell_equalizer_configuration_id_seq</code>
	 */
	public static final Sequence<Long> CELL_EQUALIZER_CONFIGURATION_ID_SEQ = new SequenceImpl<Long>("cell_equalizer_configuration_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.cell_equalizer_configuration_server_id_seq</code>
	 */
	public static final Sequence<Long> CELL_EQUALIZER_CONFIGURATION_SERVER_ID_SEQ = new SequenceImpl<Long>("cell_equalizer_configuration_server_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.cell_monitor_id_seq</code>
	 */
	public static final Sequence<Long> CELL_MONITOR_ID_SEQ = new SequenceImpl<Long>("cell_monitor_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.edit_config_rev_seq</code>
	 */
	public static final Sequence<Long> EDIT_CONFIG_REV_SEQ = new SequenceImpl<Long>("edit_config_rev_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.gsm_channel_id_seq</code>
	 */
	public static final Sequence<Long> GSM_CHANNEL_ID_SEQ = new SequenceImpl<Long>("gsm_channel_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.gsm_group_id_seq</code>
	 */
	public static final Sequence<Long> GSM_GROUP_ID_SEQ = new SequenceImpl<Long>("gsm_group_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.link_with_sim_group_id_seq</code>
	 */
	public static final Sequence<Long> LINK_WITH_SIM_GROUP_ID_SEQ = new SequenceImpl<Long>("link_with_sim_group_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.network_survey_id_seq</code>
	 */
	public static final Sequence<Long> NETWORK_SURVEY_ID_SEQ = new SequenceImpl<Long>("network_survey_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.phone_number_prefix_id_seq</code>
	 */
	public static final Sequence<Long> PHONE_NUMBER_PREFIX_ID_SEQ = new SequenceImpl<Long>("phone_number_prefix_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.phone_number_prefix_list_id_seq</code>
	 */
	public static final Sequence<Long> PHONE_NUMBER_PREFIX_LIST_ID_SEQ = new SequenceImpl<Long>("phone_number_prefix_list_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.received_sms_id_seq</code>
	 */
	public static final Sequence<Long> RECEIVED_SMS_ID_SEQ = new SequenceImpl<Long>("received_sms_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.registry_id_seq</code>
	 */
	public static final Sequence<Long> REGISTRY_ID_SEQ = new SequenceImpl<Long>("registry_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.route_config_id_seq</code>
	 */
	public static final Sequence<Long> ROUTE_CONFIG_ID_SEQ = new SequenceImpl<Long>("route_config_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.script_definition_id_seq</code>
	 */
	public static final Sequence<Long> SCRIPT_DEFINITION_ID_SEQ = new SequenceImpl<Long>("script_definition_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.script_file_id_seq</code>
	 */
	public static final Sequence<Long> SCRIPT_FILE_ID_SEQ = new SequenceImpl<Long>("script_file_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.script_instance_id_seq</code>
	 */
	public static final Sequence<Long> SCRIPT_INSTANCE_ID_SEQ = new SequenceImpl<Long>("script_instance_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.script_parameter_definition_id_seq</code>
	 */
	public static final Sequence<Long> SCRIPT_PARAMETER_DEFINITION_ID_SEQ = new SequenceImpl<Long>("script_parameter_definition_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.script_param_id_seq</code>
	 */
	public static final Sequence<Long> SCRIPT_PARAM_ID_SEQ = new SequenceImpl<Long>("script_param_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.scripts_commons_id_seq</code>
	 */
	public static final Sequence<Long> SCRIPTS_COMMONS_ID_SEQ = new SequenceImpl<Long>("scripts_commons_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.sent_sms_id_seq</code>
	 */
	public static final Sequence<Long> SENT_SMS_ID_SEQ = new SequenceImpl<Long>("sent_sms_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.server_id_seq</code>
	 */
	public static final Sequence<Long> SERVER_ID_SEQ = new SequenceImpl<Long>("server_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.session_id_seq</code>
	 */
	public static final Sequence<Long> SESSION_ID_SEQ = new SequenceImpl<Long>("session_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.sim_event_log_id_seq</code>
	 */
	public static final Sequence<Long> SIM_EVENT_LOG_ID_SEQ = new SequenceImpl<Long>("sim_event_log_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.sim_group_id_seq</code>
	 */
	public static final Sequence<Long> SIM_GROUP_ID_SEQ = new SequenceImpl<Long>("sim_group_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.sim_id_seq</code>
	 */
	public static final Sequence<Long> SIM_ID_SEQ = new SequenceImpl<Long>("sim_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));

	/**
	 * The sequence <code>public.sim_serializable_data_id_seq</code>
	 */
	public static final Sequence<Long> SIM_SERIALIZABLE_DATA_ID_SEQ = new SequenceImpl<Long>("sim_serializable_data_id_seq", Public.PUBLIC, org.jooq.impl.SQLDataType.BIGINT.nullable(false));
}
